"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const d3 = require("d3");
exports.prefix = "princ--";
class BasePlotItem {
    constructor() {
        this.cls = "";
    }
    classed(cls) {
        if (cls === undefined) {
            return this.cls;
        }
        else {
            this.cls = cls;
            return this;
        }
    }
    /** Plot the data item */
    plotSetup(group) {
        return group.append("g")
            .classed(exports.prefix + "item", true)
            .classed(this.cls, true);
    }
}
exports.BasePlotItem = BasePlotItem;
/** Base class for plotting */
class BasePlot {
    constructor(cls) {
        this.cls = cls;
    }
    classed(cls) {
        if (cls === undefined) {
            return this.cls;
        }
        else {
            this.cls = cls;
            return this;
        }
    }
    /** Plot an evolution */
    plot(svgElement) {
        return d3.select(svgElement).append("g")
            .classed(exports.prefix + "root", true)
            .classed(exports.prefix + this.name(), true)
            .classed(this.cls, true);
    }
}
exports.BasePlot = BasePlot;
