import { PlotSelect, Scale, Format } from "./aliases";
export declare abstract class CompData {
    protected cls: string;
    constructor();
    classed(): string;
    classed(cls: string): this;
    abstract plot(elem: PlotSelect, x: Scale, format: Format): void;
}
export declare class Value extends CompData {
    private lab;
    private val;
    constructor(label: string, value: number);
    plot(elem: PlotSelect, x: Scale, format: Format): void;
}
export declare class Comparison {
    private wdth;
    private data;
    private maxVal;
    private maxSet;
    private scale;
    private format;
    private cls;
    private label;
    private ticks;
    private axisFormat;
    constructor(width: number);
    value(label: string, value: number): Value;
    width(width: number): this;
    numberFormat(format: Format): this;
    max(): number;
    max(max: number): this;
    axis({label, ticks, format}: {
        label?: string;
        ticks?: number[];
        format?: Format;
    }): this;
    classed(): string;
    classed(cls: string): this;
    plot(svgElement: SVGSVGElement): void;
}
export declare function comparison(width?: number): Comparison;
