import { BasePlot, BasePlotItem } from "./base";
import { PlotSelect, Scale, Format } from "./aliases";
/** The base comparison data */
export declare abstract class CompZData extends BasePlotItem {
    /** Plot a comparison item */
    plot(group: PlotSelect, _x: Scale, _format: Format): PlotSelect;
}
/** A value for comparison */
export declare class ValueZ extends CompZData {
    private lab;
    private val;
    constructor(label: string, value: number);
    plot(group: PlotSelect, x: Scale, format: Format): PlotSelect;
}
/** A comparison plotter */
export declare class ComparisonZ extends BasePlot {
    private wdth;
    private data;
    private maxVal;
    private maxSet;
    private scale;
    private format;
    private label;
    private ticks;
    private axisFormat;
    constructor(width: number);
    /** Add a value to be plotted */
    value(label: string, value: number): ValueZ;
    /** Set the width of the plot */
    width(width: number): this;
    /** Set the number format of the plot */
    numberFormat(format: Format): this;
    /** Get or set the maximum value
     *
     * If set, the value will not be updated with the addition of new data.
     */
    max(): number;
    max(max: number): this;
    /** Set properties of the axis */
    axis({label, ticks, format}: {
        label?: string;
        ticks?: number[];
        format?: Format;
    }): this;
    name(): string;
    /** Plot the current state on the svg */
    plot(svgElement: SVGSVGElement): PlotSelect;
}
